name: rasadyar_app
description: "A new Flutter project."
publish_to: 'none'
version: 1.3.6+4

environment:
  sdk: ^3.9.0

dependencies:
  flutter:
    sdk: flutter

  #UI
  cupertino_icons: ^1.0.8
  flutter_launcher_icons: ^0.14.4

  #rasadyar packages
  rasadyar_core:
    path: ./packages/core

  rasadyar_inspection:
    path: ./packages/inspection

  rasadyar_livestock:
    path: ./packages/livestock

  rasadyar_chicken:
    path: ./packages/chicken


  ##code generation
  freezed_annotation: ^3.1.0
  json_annotation: ^4.9.0
dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  ##code generation
  build_runner: ^2.7.0
  hive_ce_generator: ^1.9.3
  freezed: ^3.2.0
  json_serializable: ^6.11.0
  flutter_gen_runner: ^5.11.0
  change_app_package_name: ^1.5.0

  ##test
  mocktail: ^1.0.4
  get_test: ^4.0.1




flutter:
  uses-material-design: true


  assets:
    - assets/icons/
    - assets/images/
    - assets/logos/
    - assets/rive/
    - assets/vec/
    - assets/anim/


  fonts:
     - family: yekan
       fonts:
         - asset: fonts/iranyekanregularfanum.ttf


flutter_gen:
  output: packages/core/lib/presentation/common
  line_length: 120
  # Optional
  integrations:
    image: true
    flutter_svg: true
    lottie: true
    rive: true
